Subject: Re: Comments on presentation of draft-lemon-stub-networks-ps-00

From: "Templin (US), Fred L" <[email-masked]>
Date: Tue, 28 Jul 2020 15:41:40 +0000

Also forgot to mention this, which is a complementary companion document
telling about control messaging alternatives for stub network prefix delegation:

https://datatracker.ietf.org/doc/draft-templin-6man-dhcpv6-ndopt/

Fred

From: ipv6 [mailto:[email-masked]] On Behalf Of Templin (US), Fred L
Sent: Tuesday, July 28, 2020 8:14 AM
To: Ted Lemon <[email-masked]>
Cc: Alexandre Petrescu <[email-masked]>; IPv6 <[email-masked]>
Subject: Re: Comments on presentation of draft-lemon-stub-networks-ps-00

Ted, please take a look at the document – in particular its structure and diagrams. There
is nothing complicated being proposed there, but certainly establishes the framework
for stub networks.

Fred

From: Ted Lemon [mailto:[email-masked]]
Sent: Tuesday, July 28, 2020 7:18 AM
To: Templin (US), Fred L <[email-masked]<mailto:[email-masked]>>
Cc: Alexandre Petrescu <[email-masked]<mailto:[email-masked]>>; IPv6 <[email-masked]<mailto:[email-masked]>>
Subject: Re: Comments on presentation of draft-lemon-stub-networks-ps-00

On Jul 28, 2020, at 9:46 AM, Templin (US), Fred L <[email-masked]<mailto:[email-masked]>> wrote:
Hi, I also have a comment – I think there may be significant overlap between this
document and “IPv6 Prefix Delegation and Multi-Addressing Models”:

This is quite a bit more complicated than what I am proposing. The ability to inject the delegated prefix into the routing infrastructure is definitely one of the issues to be addressed, though. RA works for next-hop, but if you want to go beyond that you need something more. I think that the usual way that PDs are currently handled would work, but I think we still have kind of a gap there—the DHC working group has looked at this more than once, but I the discussions never turned into an RFC.